LibreOffice LibreOffice 6.2 SDK API Reference

Public Types | Public Attributes | List of all members
ChartTableAddressSupplier Service Referencepublished

This is a helper service for access to table Address to cell ranges of the container document of a chart. More...

`import"ChartTableAddressSupplier.idl";`

## Public Types
typedef sequence< com::sun::star::chart::ChartSeriesAddress > | SeriesAddresses
| contains the addresses to the elements of a series. More...

## Public Attributes
string | CategoriesRangeAddress
| contains the address to the cells containing the names of the categories. More...
string | MainTitleAddress
| contains the address to the main title. More...
string | SubTitleAddress
| contains the address to the sub title. More...

## Detailed Description

This is a helper service for access to table Address to cell ranges of the container document of a chart.

The cell addresses are in the format of the application that contains this chart.

## Member Typedef Documentation

## ◆ SeriesAddresses

sequence< com::sun::star::chart::ChartSeriesAddress > SeriesAddresses
| property

contains the addresses to the elements of a series.

This sequence should contain one element for each series in the chart.

See also
  ChartSeriesAddress

## Member Data Documentation

## ◆ CategoriesRangeAddress

string CategoriesRangeAddress
| property

contains the address to the cells containing the names of the categories.

Note: Each value of a data series belongs exactly to one category.

## ◆ MainTitleAddress

string MainTitleAddress
| optional property

contains the address to the main title.

## ◆ SubTitleAddress

string SubTitleAddress
| optional property

contains the address to the sub title.

The documentation for this service was generated from the following file:

- com/sun/star/chart/ChartTableAddressSupplier.idl